summaryrefslogtreecommitdiffstats
path: root/git/share
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 14:59:14 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 14:59:14 +0000
commit67badd0db444736a407f6994c1a7d01c0de1ad76 (patch)
tree7e64a77b0110330f4c2bb28f3767d4786b24e8a0 /git/share
parentInitial commit. (diff)
downloadopen-infrastructure-service-tools-67badd0db444736a407f6994c1a7d01c0de1ad76.tar.xz
open-infrastructure-service-tools-67badd0db444736a407f6994c1a7d01c0de1ad76.zip
Adding upstream version 20221223.upstream/20221223upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'git/share')
-rwxr-xr-xgit/share/hooks/post-update.d/cgit-agefile27
-rwxr-xr-xgit/share/hooks/post-update.d/git-update-server-info24
-rwxr-xr-xgit/share/hooks/post-update.d/irker-notification34
3 files changed, 85 insertions, 0 deletions
diff --git a/git/share/hooks/post-update.d/cgit-agefile b/git/share/hooks/post-update.d/cgit-agefile
new file mode 100755
index 0000000..a00b038
--- /dev/null
+++ b/git/share/hooks/post-update.d/cgit-agefile
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# Open Infrastructure: service-tools
+
+# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+agefile="$(git rev-parse --git-dir)"/info/web/last-modified
+
+mkdir -p "$(dirname "$agefile")"
+git for-each-ref --sort=-authordate --count=1 --format='%(authordate:iso8601)' >"$agefile"
diff --git a/git/share/hooks/post-update.d/git-update-server-info b/git/share/hooks/post-update.d/git-update-server-info
new file mode 100755
index 0000000..1b21b51
--- /dev/null
+++ b/git/share/hooks/post-update.d/git-update-server-info
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# Open Infrastructure: service-tools
+
+# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+git update-server-info
diff --git a/git/share/hooks/post-update.d/irker-notification b/git/share/hooks/post-update.d/irker-notification
new file mode 100755
index 0000000..7c712db
--- /dev/null
+++ b/git/share/hooks/post-update.d/irker-notification
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+# Open Infrastructure: service-tools
+
+# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+if [ -z "$(git config --get irker.project)" ]
+then
+ exit 0
+fi
+
+echo "sending IRC notification"
+
+while read -r OLD NEW REFNAME
+do
+ irkerhook --refname="${REFNAME}" "$(git rev-list --reverse "${OLD}".."${NEW}")"
+done